#ifndef SOUNDPLAYER_H_INCLUDED
#define SOUNDPLAYER_H_INCLUDED

#include <iostream>
#include <string>

#include <SDL.h>
#include <SDL_mixer.h>

/**
 * @class SoundPlayer
 * @author zsmb
 * @brief The simplest possible class for playing sound effects
 */
class SoundPlayer {
    std::string filename;   //!< Name of the sound file the player uses
    Mix_Chunk* sound;       //!< Pointer for SDL_Mixer to use
public:
    SoundPlayer(std::string filename);
    ~SoundPlayer();
    
    void play();
    
    static void volume_up();
    static void volume_down();
    
    std::string get_filename() const;
};

#endif // SOUNDPLAYER_H_INCLUDED
